#include "SignalGeneratorInterfaceDto.h"

SignalGeneratorInterfaceDto::SignalGeneratorInterfaceDto(QObject *parent) : DeviceFrameBaseDto(parent)
{

}

QJsonObject SignalGeneratorInterfaceDto::toJSON()
{
    QJsonObject jsonObj;

    QJsonObject dataObj;
    dataObj.insert("keyControl", keyControl);
    dataObj.insert("timeType", timeType);

    jsonObj.insert("ts", this->milisecond);
    jsonObj.insert("frameType", this->frameType);
    jsonObj.insert("data", dataObj);

    return jsonObj;
}
